/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.ergebnis.boundary;

import de.ivu.elect.business.ergebnis.entity.Sitze;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class SitzeDAO extends AbstractSitzeDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(Sitze sitze){
    getEntityManager().persist(sitze);
  }

  public void remove(Sitze sitze){
    getEntityManager().remove(sitze);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                                                                    
        /**
        * Name: ErgebnisNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM Sitze o WHERE o.ergebnis=?1<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Sitze> findByErgebnis( @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Ergebnis ergebnis) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Sitze.findByErgebnis" ,  ergebnis  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByErgebnis( ergebnis  ));
        }
        return (java.util.List<Sitze>) cached;
        }
            return super.findByErgebnis( ergebnis  );
            }
                                        
        /**
        * Name: GebietNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM Sitze o WHERE o.gebiet = ?1<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Sitze> findByGebiet( @javax.annotation.Nonnull de.ivu.elect.business.gebietsbaum.entity.Gebiet gebiet) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Sitze.findByGebiet" ,  gebiet  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByGebiet( gebiet  ));
        }
        return (java.util.List<Sitze>) cached;
        }
            return super.findByGebiet( gebiet  );
            }
                                        
        /**
        * Name: GruppeGebietErgebnisartAndWahlNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM Sitze o WHERE o.gruppe =?1 AND o.gebiet=?2 AND o.ergebnis.ergebnisart=?3 AND o.ergebnis.wahl=?4<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Sitze> findByGruppeGebietErgebnisartAndWahl( @javax.annotation.Nonnull de.ivu.elect.business.gruppe.entity.Gruppe gruppe,  @javax.annotation.Nonnull de.ivu.elect.business.gebietsbaum.entity.Gebiet gebiet,  @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Ergebnisart ergebnisart,  @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahl wahl) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Sitze.findByGruppeGebietErgebnisartAndWahl" ,  gruppe ,  gebiet ,  ergebnisart ,  wahl  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByGruppeGebietErgebnisartAndWahl( gruppe ,  gebiet ,  ergebnisart ,  wahl  ));
        }
        return (java.util.List<Sitze>) cached;
        }
            return super.findByGruppeGebietErgebnisartAndWahl( gruppe ,  gebiet ,  ergebnisart ,  wahl  );
            }
                                        
        /**
        * Name: GruppeImGebietAndErgebnisartNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM Sitze o WHERE o.gruppe =?1 AND o.gebiet=?2 AND o.ergebnis.ergebnisart=?3<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Sitze> findByGruppeImGebietAndErgebnisart( @javax.annotation.Nonnull de.ivu.elect.business.gruppe.entity.Gruppe gruppe,  @javax.annotation.Nonnull de.ivu.elect.business.gebietsbaum.entity.Gebiet gebiet,  @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Ergebnisart ergebnisart) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Sitze.findByGruppeImGebietAndErgebnisart" ,  gruppe ,  gebiet ,  ergebnisart  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByGruppeImGebietAndErgebnisart( gruppe ,  gebiet ,  ergebnisart  ));
        }
        return (java.util.List<Sitze>) cached;
        }
            return super.findByGruppeImGebietAndErgebnisart( gruppe ,  gebiet ,  ergebnisart  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}